import type { NodePath, Node } from 'babel-traverse';
export interface RegisterOptions {
    include?: string[];
    main?: string;
    semicolon?: boolean;
    extension?: boolean;
    quotes?: 'single' | 'double';
}
export interface Entry {
    path: string;
    name: string;
    registerName: string;
}
export declare type SourceType = 'script' | 'module' | 'unambiguous';
export declare type UseTemplate = (code: string, opts: {
    sourceType: SourceType;
}) => () => Node | Node[];
export default function register({ template }: {
    template: UseTemplate;
}, options: RegisterOptions): {
    visitor: {
        Program(nodePath: NodePath): void;
    };
};
